#include "global.h"


void ReportList(void) {
    FILE *LR;
    short int i;

    /* LR: open & header */
    LR = SAfopenH("../", 'r', cfg.Name, NULL, 1, "w", TEMPL_REPORT, icfg.ReportDir, icfg.LRname);
    
    /* LR: write links to TTRs */
    for (i = 0; i < TTNUMBER; i++)
	if (cfg.TTR[i] && TT[i].count)
	    SAfprintf(LR, "\t<tr><td class=%s><td colspan=4 class=el><a href=\"%s.html\">%s</a>\n", icfg.TTRname[i], icfg.TTRname[i], loc->TT[i]);
    /* LR: write link to TSR */
    if (cfg.TSR) SAfprintf(LR, "\t<tr><td class=el><td colspan=4 class=el><a href=\"%s.html\">%s</a>\n", icfg.TSRname, loc->TopSites);
    /* LR: write link to PER */
    if (cfg.PER) SAfprintf(LR, "\t<tr><td class=el><td colspan=4 class=el><a href=\"%s.html\">%s</a>\n", icfg.PERname, loc->PEfficiency);
    /* LR: write link to TUR */
    SAfprintf(LR, "\t<tr><td class=el><td colspan=4 class=el><a href=\"%s.html\">%s</a>\n", icfg.TURname, loc->TopUser);

    /* LR: close */
    SAfcloseH(LR, icfg.LRname);
}
