#ifdef LARGEFILE
    typedef off_t	SAOFF_T;
# define SAfseekI	fseeko
# define SAftellI	ftello
#else
    typedef long	SAOFF_T;
# define SAfseekI	fseek
# define SAftellI	ftell
#endif


#if DEBUG>=3
extern int ofcount;
#endif


extern void SAunlink(const char *fname);
extern FILE *SAfopenI(const char *mode, const char *fname);
extern FILE *SAfopen(const char *mode, const char *fmt, ...);
extern FILE *SAfopenH(const char *pathtoroot, const char cssprefix, const char *rname, char *sorder, char showperiod, const char *mode, const char *fmt, ...);
extern void SAfclose(FILE *ifile, const char *fname);
extern void SAfcloseU(FILE *ifile, const char *fname);
extern void SAfcloseH(FILE *ifile, const char *fname);
extern void SAfseek(FILE *stream, SAOFF_T offset, int whence, const char *fname);
extern SAOFF_T SAftell(FILE *stream);
extern void SAfwrite1(const void *ptr, size_t size, FILE *stream);
extern void *SAfreadMC(struct stat *istat, const char *fmt, ...);
extern short int SAgetdirecount(DIR *iDir);
extern struct dirent *SAreaddir(DIR *iDir, short int iloc);
extern void SArm(const char *fmt, ...);
